using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Dvb.Psi.Model;
using skyscraper5.Eacem.Descriptors;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.PrivateDataSpecifiers.Eacem
{
	internal class BatHook : DescriptorPluginBatHandler
	{
		public void HandleBat(BatTransportStream outputTs, TsDescriptor unpackedDescriptor)
		{
			EacemLogicalChannelDescriptor elcn = (EacemLogicalChannelDescriptor)unpackedDescriptor;
			if (outputTs.LCNs == null)
				outputTs.LCNs = new List<BaseLcn>();
			outputTs.LCNs.AddRange(elcn.LogicalChannels);
		}
	}
}
